Your message dated Wed, 7 Oct 2009 22:28:26 +0400
with message-id <20091007222826.08301...@corner>
and subject line Re: Bug#550089: Acknowledgement (soundkonverter: FTBFS with 
automake  1.11)
has caused the Debian Bug report #550089,
regarding soundkonverter: FTBFS with automake 1.11
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
550089: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=550089
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Package: soundkonverter
Version: 0.3.10-1
Severity: important
Tags: patch
Justification: fails to build from source
User: ubuntu-de...@lists.ubuntu.com
Usertags: origin-ubuntu karmic ubuntu-patch

In Ubuntu, we've applied the attached patch to achieve the following:

  * Build-depend on automake1.10 because build with 1.11 fails.

We thought you might be interested in doing the same. 

The build fails with the following error:

cd /build/buildd/soundkonverter-0.3.10/. && /bin/bash 
/build/buildd/soundkonverter-0.3.10/admin/missing --run aclocal-1.10 
/build/buildd/soundkonverter-0.3.10/admin/missing: line 52: aclocal-1.10: 
command not found
WARNING: `aclocal-1.10' is missing on your system.  You should only need it if
         you modified `acinclude.m4' or `configure.in'.  You might want
         to install the `Automake' and `Perl' packages.  Grab them from
         any GNU archive site.
 cd /build/buildd/soundkonverter-0.3.10/. && /bin/bash 
/build/buildd/soundkonverter-0.3.10/admin/missing --run automake-1.10 --gnu 
/build/buildd/soundkonverter-0.3.10/admin/missing: line 52: automake-1.10: 
command not found
WARNING: `automake-1.10' is missing on your system.  You should only need it if
         you modified `Makefile.am', `acinclude.m4' or `configure.in'.
         You might want to install the `Automake' and `Perl' packages.
         Grab them from any GNU archive site.
 cd /build/buildd/soundkonverter-0.3.10/. && perl admin/am_edit 
cd /build/buildd/soundkonverter-0.3.10/. && perl admin/am_edit Makefile.in
cd /build/buildd/soundkonverter-0.3.10/. && rm -f configure
cd /build/buildd/soundkonverter-0.3.10/. && /usr/bin/make -f 
admin/Makefile.common configure
make[2]: Entering directory `/build/buildd/soundkonverter-0.3.10'
configure.in:43: error: possibly undefined macro: AM_INIT_AUTOMAKE
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.
configure.in:45: error: possibly undefined macro: AM_MAINTAINER_MODE
configure.in:50: error: possibly undefined macro: AM_CONFIG_HEADER
configure.in:53: error: possibly undefined macro: AC_CHECK_COMPILERS
configure.in:54: error: possibly undefined macro: AC_ENABLE_SHARED
configure.in:55: error: possibly undefined macro: AC_ENABLE_STATIC
configure.in:60: error: possibly undefined macro: AM_KDE_WITH_NLS
configure.in:63: error: possibly undefined macro: AC_PATH_KDE
configure.in:72: error: possibly undefined macro: AC_CHECK_KDEMAXPATHLEN
configure.in:206: error: possibly undefined macro: AM_CONDITIONAL
make[2]: *** [configure] Error 1

http://launchpadlibrarian.net/32340026/buildlog_ubuntu-karmic-i386.soundkonverter_0.3.10-1_FAILEDTOBUILD.txt.gz

I get the same error with the sid pbuilder.

-- System Information:
Debian Release: 5.0
  APT prefers jaunty-updates
  APT policy: (500, 'jaunty-updates'), (500, 'jaunty-security'), (500, 
'jaunty-proposed'), (500, 'jaunty-backports'), (500, 'jaunty')
Architecture: i386 (i686)

Kernel: Linux 2.6.28-15-generic (SMP w/2 CPU cores)
Locale: LANG=ru_RU.UTF-8, LC_CTYPE=ru_RU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
diff -u soundkonverter-0.3.10/debian/control soundkonverter-0.3.10/debian/control
--- soundkonverter-0.3.10/debian/control
+++ soundkonverter-0.3.10/debian/control
@@ -1,7 +1,7 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <f...@debian.org>, Mark Purcell <m...@debian.org>, Michael Meskes <mes...@debian.org>
-Build-Depends: cdbs, debhelper (>= 7), quilt, automake, kdelibs4-dev,
+Build-Depends: cdbs, debhelper (>= 7), quilt, automake1.10, kdelibs4-dev,
  libcdparanoia0-dev, libtag1-dev
 Standards-Version: 3.8.2
 Homepage: http://www.kde-apps.org/content/show.php?content=29024

--- End Message ---
--- Begin Message ---
Ah, it's fixed in 0.3.10-2. Sorry for the noise.


--- End Message ---
_______________________________________________
pkg-kde-extras mailing list
pkg-kde-extras@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-kde-extras

Reply via email to